---
lang: en
title: 'API docs: metadata.decoratorfactory.clonedeep'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.decoratorfactory.clonedeep.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [DecoratorFactory](./metadata.decoratorfactory.md) &gt; [cloneDeep](./metadata.decoratorfactory.clonedeep.md)

## DecoratorFactory.cloneDeep() method

<b>Signature:</b>

```typescript
static cloneDeep<V>(val: Readonly<V>): V;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  val | <code>Readonly&lt;V&gt;</code> |  |

<b>Returns:</b>

`V`


